Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467462 - =media-libs/libwmf-0.2.8.4-r4 with =sys-devel/automake-1.13 - configure.ac:59: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: =media-libs/libwmf-0.2.8.4-r4 with =sys-devel/automake-1.13 - configure.ac:59...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 09:26 UTC by Lee Trager
Modified: 2013-05-05 12:30 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patched ebuild (webkit-gtk-1.8.3-r300.ebuild,8.97 KB, patch)
2013-04-30 08:11 UTC, Lee Trager
Details | Diff
The actual patched ebuild (libwmf-0.2.8.4-r4.ebuild,2.58 KB, text/plain)
2013-04-30 08:52 UTC, Lee Trager
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Trager 2013-04-27 09:26:33 UTC
***** aclocal *****
***** PWD: /var/tmp/portage/media-libs/libwmf-0.2.8.4-r4/work/libwmf-0.2.8.4
***** aclocal

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'conf\
igure.in'
aclocal-1.13: warning: 'configure.ac' and 'configure.in' both present.
aclocal-1.13: proceeding with 'configure.ac'
configure.ac:59: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from..\
.
configure.ac:59: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

Reproducible: Always
Comment 1 walt 2013-04-27 18:22:54 UTC
Also, the libwmf-0.2.8.4-intoverflow.patch fails when the AM->AC problem is fixed.
Comment 2 Lee Trager 2013-04-30 08:11:07 UTC
Created attachment 346952 [details, diff]
Patched ebuild

Adding the following to the ebuild prep section fixes this

# AM_PROG_CC_STDC is obsolete and causes build failure with                 
# >=sys-devel/automake-1.13.1                                               
sed -i -e 's/AM_PROG_CC_STDC/AM_PROG_CC/g' aclocal.m4 || die
sed -i -e '/AM_PROG_CC_STDC/d' configure.ac || die
Comment 3 Lee Trager 2013-04-30 08:14:49 UTC
Whoop's sorry put this in the wrong bug.
Comment 4 Lee Trager 2013-04-30 08:52:30 UTC
Created attachment 346958 [details]
The actual patched ebuild

But adding the following in the prep section after patching is done fixes the issue for me.

# AM_CONFIG_HEADER is obsolete and causes build failure with
# >=sys-devel/automake-1.13.1
sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.ac || die
Comment 5 David Klann 2013-05-02 02:36:31 UTC
Lee's patched ebuild (comment #4) works for me on amd64.

Oh, I see the automake-1.13 bug now too...

Thanks!
Comment 6 Justin Lecher gentoo-dev 2013-05-04 12:26:59 UTC
*libwmf-0.2.8.4-r5 (04 May 2013)

  04 May 2013; Justin Lecher <jlec@gentoo.org> +libwmf-0.2.8.4-r5.ebuild,
  metadata.xml:
  Fix obsolete macros to work with automake-1.13, #467462; move to
  autotools-utils.eclass
Comment 7 Andrey Grozin gentoo-dev 2013-05-04 13:48:19 UTC
Still fails for me.
/var/tmp/portage/media-libs/libwmf-0.2.8.4-r4/temp/aclocal.out is now slightly different:

***** aclocal *****
***** PWD: /var/tmp/portage/media-libs/libwmf-0.2.8.4-r4/work/libwmf-0.2.8.4
***** aclocal

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
aclocal-1.13: warning: 'configure.ac' and 'configure.in' both present.
aclocal-1.13: proceeding with 'configure.ac'
/usr/share/aclocal/gtkglextmm-1.2.m4:225: warning: underquoted definition of AC_GTKGLEXTMM_SUPPORTS_MULTIHEAD
/usr/share/aclocal/gtkglextmm-1.2.m4:225:   run info Automake 'Extending aclocal'
/usr/share/aclocal/gtkglextmm-1.2.m4:225:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:59: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:59: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1
Comment 8 Justin Lecher gentoo-dev 2013-05-05 12:30:06 UTC
*libwmf-0.2.8.4-r5 (04 May 2013)

  04 May 2013; Justin Lecher <jlec@gentoo.org> +libwmf-0.2.8.4-r5.ebuild,
  metadata.xml:
  Fix obsolete macros to work with automake-1.13, #467462; move to
  autotools-utils.eclass